# `taurus.core.util.user`

Finds out user inf (currently just the logged user name) for Windows and Posix machines. sets a USER_NAME variable containing the logged user name defines a UNKNOWN_USER variable to which username falls back. It also provides the getSystemUserName() function

Functions

getSystemUserName()

  Finds out user inf (currently just the logged user name) for Windows and Posix machines. sets a USER_NAME variable containing the logged user name defines a UNKNOWN_USER variable to which username falls back.

  Returns:

    current user name

  Return type:

    str

Variables

UNKNOWN_USER

USER_NAME